Page MenuHomePhabricator

EventLogging vagrant role fails to provision
Closed, ResolvedPublic

Description

==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: Cloning into '/vagrant/srv/eventlogging'...
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: Could not create directory '/home/vagrant_share/.ssh'.
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: RSA host key for IP address '208.80.154.81' not in list of known hosts.
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: Permission denied (publickey).
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: fatal: Could not read from remote repository.
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: 
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: Please make sure you have the correct access rights
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: and the repository exists.

I vagrant destroyed and it still happened. Eventually had to kill the roles that pull it in.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2016, 6:57 PM

This sounds like a gerrit permission problem. I haven't been able to reproduce this, but I did just add a read permissions for Anonymous Users in the gerrit repo. Can you try again?

Today I got a related error after enabling flow:

==> default: Error: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'

Hmmm, I can't seem to reproduce this. I ripped out my srv/eventlogging and provisioned, had no problem cloning or creating the virtualenv or installing dependencies into the virtualenv with /vagrant/srv/eventlogging/virtualenv/bin/pip. I did just submit https://gerrit.wikimedia.org/r/#/c/281949/ to clean a few things up, but I don't think it will affect this problem.

@Ottomata Here is what I get on a pristine VM. First before pulling your change, and then after pulling your change. Indeed, it didn't affect this problem.

*Before change*

Ad@Erazer MINGW32 ~/Vagrant (master)
$ vagrant roles enable eventlogging
Ok. Run `vagrant provision` to apply your changes.

Ad@Erazer MINGW32 ~/Vagrant (master)
$ vagrant provision
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: /usr/lib/ruby/vendor_ruby/facter/util/resolution.rb:27: warning: Insecure world writable dir /vagrant/srv/arcanist/bin in PATH, mode 040777
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/facter_dot_d.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/pe_version.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/puppet_vardir.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/root_home.rb
==> default: Notice: Compiled catalog for mediawiki-vagrant.dev in environment production in 9.89 seconds
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/facter_dot_d.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/pe_version.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/puppet_vardir.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/root_home.rb
==> default: Info: Applying configuration version '1459968392.c7a115a'
==> default: Notice: /Stage[main]/Php::Xhprof/File[/vagrant/profiles]/mode: mode changed '0777' to '0775'
==> default: Notice: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-available/define-ELDevServer]/ensure: created
==> default: Info: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-available/define-ELDevServer]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-enabled/define-ELDevServer]/ensure: created
==> default: Info: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-enabled/define-ELDevServer]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]/returns: executed successfully
==> default: Info: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/File[/etc/mw-vagrant/services/eventlogging.conf]/ensure: created
==> default: Error: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: /Stage[main]/Eventlogging/Virtualenv::Package[etcd]/Exec[pip_install_etcd_in_/vagrant/srv/eventlogging/virtualenv]/returns: change from notrun to 0 failed: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: /Stage[main]/Eventlogging/Virtualenv::Package[tornado]/Exec[pip_install_tornado_in_/vagrant/srv/eventlogging/virtualenv]/returns: change from notrun to 0 failed: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: /Stage[main]/Eventlogging/Virtualenv::Package[sprockets.mixins.statsd]/Exec[pip_install_sprockets.mixins.statsd_in_/vagrant/srv/eventlogging/virtualenv]/returns: change from notrun to 0 failed: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: /Stage[main]/Eventlogging/Virtualenv::Package[mysqlclient]/Exec[pip_install_mysqlclient_in_/vagrant/srv/eventlogging/virtualenv]/returns: change from notrun to 0 failed: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Notice: /Stage[main]/Eventlogging/Exec[eventlogging_virtualenv_pip_install]: Dependency Exec[pip_install_etcd_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging/Exec[eventlogging_virtualenv_pip_install]: Dependency Exec[pip_install_tornado_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging/Exec[eventlogging_virtualenv_pip_install]: Dependency Exec[pip_install_sprockets.mixins.statsd_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging/Exec[eventlogging_virtualenv_pip_install]: Dependency Exec[pip_install_mysqlclient_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Warning: /Stage[main]/Eventlogging/Exec[eventlogging_virtualenv_pip_install]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Eventlogging::Devserver/File[/etc/init/eventlogging-devserver.conf]: Dependency Exec[pip_install_etcd_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging::Devserver/File[/etc/init/eventlogging-devserver.conf]: Dependency Exec[pip_install_tornado_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging::Devserver/File[/etc/init/eventlogging-devserver.conf]: Dependency Exec[pip_install_sprockets.mixins.statsd_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging::Devserver/File[/etc/init/eventlogging-devserver.conf]: Dependency Exec[pip_install_mysqlclient_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Warning: /Stage[main]/Eventlogging::Devserver/File[/etc/init/eventlogging-devserver.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Eventlogging::Devserver/Service[eventlogging-devserver]: Dependency Exec[pip_install_etcd_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging::Devserver/Service[eventlogging-devserver]: Dependency Exec[pip_install_tornado_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging::Devserver/Service[eventlogging-devserver]: Dependency Exec[pip_install_sprockets.mixins.statsd_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Notice: /Stage[main]/Eventlogging::Devserver/Service[eventlogging-devserver]: Dependency Exec[pip_install_mysqlclient_in_/vagrant/srv/eventlogging/virtualenv] has failures: true
==> default: Warning: /Stage[main]/Eventlogging::Devserver/Service[eventlogging-devserver]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis]/mode: mode changed '0777' to '0755'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/LoadWgConf.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/CommonSettings.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]/mode: mode changed '0777' to '0664'
==> default: Notice: /Stage[main]/Apache/Service[apache2]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Role::Eventlogging/Mediawiki::Extension[EventLogging]/Mediawiki::Settings[EventLogging]/File[/vagrant/settings.d/puppet-managed/05-EventLogging.php]/ensure: created
==> default: Notice: /Stage[main]/Role::Geshi/Mediawiki::Extension[SyntaxHighlight_GeSHi]/Mediawiki::Settings[SyntaxHighlight_GeSHi]/File[/vagrant/settings.d/puppet-managed/10-SyntaxHighlight_GeSHi.php]/ensure: created
==> default: Notice: Finished catalog run in 25.80 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.
`

*After change*

Ad@Erazer MINGW32 ~/Vagrant (master)
$ git pull https://gerrit.wikimedia.org/r/mediawiki/vagrant refs/changes/49/281949/2
remote: Counting objects: 1421, done
remote: Finding sources: 100% (88/88)
remote: Getting sizes: 100% (55/55)
remote: Compressing objects: 100% (36509/36509)
remote: Total 88 (delta 24), reused 60 (delta 24)
Unpacking objects: 100% (88/88), done.
From https://gerrit.wikimedia.org/r/mediawiki/vagrant
 * branch            refs/changes/49/281949/2 -> FETCH_HEAD
Updating c7a115a..ca91ea4
Fast-forward
 README.md                                          |  3 +-
 puppet/hieradata/common.yaml                       | 14 ++++++++-
 puppet/modules/eventlogging/manifests/init.pp      | 27 ++---------------
 puppet/modules/hhvm/files/hhvmsh                   |  4 ---
 puppet/modules/hhvm/manifests/init.pp              |  5 ----
 puppet/modules/mediawiki/manifests/init.pp         |  1 +
 puppet/modules/mediawiki/manifests/mwrepl.pp       | 30 +++++++++++++++++++
 puppet/modules/mediawiki/manifests/user.pp         |  3 +-
 .../modules/mediawiki/templates/mwrepl/mwrepl.erb  | 22 ++++++++++++++
 .../modules/mediawiki/templates/set_user_email.erb |  5 ----
 puppet/modules/misc/files/mediawiki_vagrant_motd   |  2 +-
 puppet/modules/role/manifests/externalstore.pp     | 34 ++++++++++++++++++++++
 puppet/modules/role/manifests/flow.pp              |  1 +
 puppet/modules/role/manifests/kartographer.pp      |  7 +++++
 puppet/modules/role/templates/echo/CORS.php.erb    |  4 +--
 .../role/templates/externalstore/conf.php.erb      | 14 +++++++++
 puppet/modules/role/templates/flow/conf.php.erb    |  1 +
 puppet/modules/service/manifests/gitupdate.pp      |  5 +++-
 18 files changed, 137 insertions(+), 45 deletions(-)
 delete mode 100755 puppet/modules/hhvm/files/hhvmsh
 create mode 100644 puppet/modules/mediawiki/manifests/mwrepl.pp
 create mode 100755 puppet/modules/mediawiki/templates/mwrepl/mwrepl.erb
 delete mode 100644 puppet/modules/mediawiki/templates/set_user_email.erb
 create mode 100644 puppet/modules/role/manifests/externalstore.pp
 create mode 100644 puppet/modules/role/manifests/kartographer.pp
 create mode 100644 puppet/modules/role/templates/externalstore/conf.php.erb

Ad@Erazer MINGW32 ~/Vagrant (master)
$ vagrant roles enable eventlogging
Ok. Run `vagrant provision` to apply your changes.

Ad@Erazer MINGW32 ~/Vagrant (master)
$ vagrant provision
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: puppet...
==> default: Running Puppet with site.pp...
==> default: /usr/lib/ruby/vendor_ruby/facter/util/resolution.rb:27: warning: Insecure world writable dir /vagrant/srv/arcanist/bin in PATH, mode 040777
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/facter_dot_d.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/pe_version.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/puppet_vardir.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/root_home.rb
==> default: Notice: Compiled catalog for mediawiki-vagrant.dev in environment production in 9.08 seconds
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/facter_dot_d.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/pe_version.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/puppet_vardir.rb
==> default: Info: Loading facts in /vagrant/puppet/modules/stdlib/lib/facter/root_home.rb
==> default: Info: Applying configuration version '1459969050.ca91ea4'
==> default: Notice: /Stage[main]/Php::Xhprof/File[/vagrant/profiles]/mode: mode changed '0777' to '0775'
==> default: Notice: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]/content: content changed '{md5}3aba016b0d0dda7268fcb1b655ea78f9' to '{md5}db0f72a43e50c5c16a1b67fc3cd92e45'
==> default: Info: /Stage[main]/Misc/Motd::Script[mediawiki_vagrant]/File[/etc/update-motd.d/50-mediawiki-vagrant]: Scheduling refresh of Exec[update_motd]
==> default: Notice: /Stage[main]/Motd/Exec[update_motd]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-available/define-ELDevServer]/ensure: created
==> default: Info: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-available/define-ELDevServer]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-enabled/define-ELDevServer]/ensure: created
==> default: Info: /Stage[main]/Role::Eventlogging/Apache::Def[ELDevServer]/Apache::Env[define_ELDevServer]/File[/etc/apache2/env-enabled/define-ELDevServer]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/fcgi.ini]/content: content changed '{md5}5cc0d8541608c7dfacb0845c62ce3bc5' to '{md5}d2ab31fb7bd5d7f76776372782faf468'
==> default: Info: /Stage[main]/Hhvm/File[/etc/hhvm/fcgi.ini]: Scheduling refresh of Service[hhvm]
==> default: Notice: /Stage[main]/Hhvm/File[/etc/hhvm/php.ini]/content: content changed '{md5}518a10d72aa894c8b8cd421b19a1dcb0' to '{md5}6549af930bb853dc24439d19af90115c'
==> default: Notice: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]/returns: executed successfully
==> default: Info: /Stage[main]/Apache/Misc::Evergreen[apache2]/Exec[check_apache2_freshness]: Scheduling refresh of Service[apache2]
==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/File[/etc/mw-vagrant/services/eventlogging.conf]/ensure: created
==> default: Error: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Error: /Stage[main]/Eventlogging/Exec[eventlogging_virtualenv_pip_install]/returns: change from notrun to 0 failed: Could not find command '/vagrant/srv/eventlogging/virtualenv/bin/pip'
==> default: Notice: /Stage[main]/Eventlogging::Devserver/File[/etc/init/eventlogging-devserver.conf]: Dependency Exec[eventlogging_virtualenv_pip_install] has failures: true
==> default: Warning: /Stage[main]/Eventlogging::Devserver/File[/etc/init/eventlogging-devserver.conf]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Eventlogging::Devserver/Service[eventlogging-devserver]: Dependency Exec[eventlogging_virtualenv_pip_install] has failures: true
==> default: Warning: /Stage[main]/Eventlogging::Devserver/Service[eventlogging-devserver]: Skipping because of failed dependencies
==> default: Notice: /Stage[main]/Hhvm/Service[hhvm]: Triggered 'refresh' from 1 events
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis]/mode: mode changed '0777' to '0755'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/LoadWgConf.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Mediawiki::Multiwiki/File[/vagrant/settings.d/wikis/CommonSettings.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Mediawiki/File[/vagrant/mediawiki/composer.local.json]/mode: mode changed '0777' to '0664'
==> default: Notice: /Stage[main]/Apache/Service[apache2]: Triggered 'refresh' from 3 events
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/wiki/wgConf.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Mediawiki/Mediawiki::Wiki[devwiki]/File[/vagrant/settings.d/wikis/dbConf/10-wiki-dbConf.php]/mode: mode changed '0777' to '0644'
==> default: Notice: /Stage[main]/Role::Eventlogging/Mediawiki::Extension[EventLogging]/Mediawiki::Settings[EventLogging]/File[/vagrant/settings.d/puppet-managed/05-EventLogging.php]/ensure: created
==> default: Notice: /Stage[main]/Role::Geshi/Mediawiki::Extension[SyntaxHighlight_GeSHi]/Mediawiki::Settings[SyntaxHighlight_GeSHi]/File[/vagrant/settings.d/puppet-managed/10-SyntaxHighlight_GeSHi.php]/ensure: created
==> default: Notice: /Stage[main]/Mediawiki::Mwrepl/File[/usr/local/bin/mwrepl]/ensure: defined content as '{md5}5a1414d4e63fab8465655683533285af'
==> default: Notice: /Stage[main]/Mediawiki::Mwrepl/File[/usr/local/bin/hhvmsh]/ensure: ensure changed 'file' to 'link'
==> default: Notice: Finished catalog run in 23.81 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

Hm, what's strange is I don't see the Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv] created in your log. This is what installs pip into the virtualenv/bin directory.

My provision log looks like:

==> default: Notice: /Stage[main]/Eventlogging/Package[libmysqlclient-dev]/ensure: ensure changed 'purged' to 'present'
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/File[/vagrant/srv/eventlogging]/ensure: created
==> default: Notice: /Stage[main]/Eventlogging/Git::Clone[eventlogging]/Exec[git_clone_eventlogging]/returns: executed successfully
==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/File[/etc/mw-vagrant/services/eventlogging.conf]/ensure: created
==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/File[/vagrant/srv/eventlogging/virtualenv]/ensure: created
==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/Exec[virtualenv-/vagrant/srv/eventlogging/virtualenv]/returns: executed successfully
==> default: Notice: /Stage[main]/Eventlogging/Exec[eventlogging_virtualenv_pip_install]/returns: executed successfully

@Ottomata thanks for looking it to this. I have good news. The good news is that my machine is now provisioned with eventlogging without errors. I solved by vagrant destroy deleting the instal path ~/Vagrant and start over with $ git clone --recursive https://gerrit.wikimedia.org/r/mediawiki/vagrant . Previously I used the .iso image from https://mediawiki-vagrant-image.wmflabs.org/mediawiki-vagrant/ . My guess is there something not good in the .iso image, at least when used at a Windows host @bd808. Question for @Jdforrester-WMF if my solutions works for you?

Restricted Application added a project: Analytics. · View Herald TranscriptJan 11 2017, 11:16 AM

I'm having a similar/same problem on ... Windows

==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/Exec[virtualenv-/vagrant/srv/eventlogging/virtualenv]/returns:     os.symlink(py_executable_base, full_pth)
==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/Exec[virtualenv-/vagrant/srv/eventlogging/virtualenv]/returns: OSError: [Errno 71] Protocol error
==> default: Error: /usr/local/bin/virtualenv --python=python . &&
==> default: /bin/true
==> default:  returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/Exec[virtualenv-/vagrant/srv/eventlogging/virtualenv]/returns: change from notrun to 0 failed: /usr/local/bin/virtualenv --python=python . &&
==> default: /bin/true
==> default:  returned 1 instead of one of [0]

... I get the impression that my problem is different ...
I'm trying to patch the create-virtualenv.sh with the --always-copy option

bd808 added a comment.Jan 11 2017, 6:35 PM

I'm having a similar/same problem on ... Windows

==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/Exec[virtualenv-/vagrant/srv/eventlogging/virtualenv]/returns:     os.symlink(py_executable_base, full_pth)
==> default: Notice: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/Exec[virtualenv-/vagrant/srv/eventlogging/virtualenv]/returns: OSError: [Errno 71] Protocol error
==> default: Error: /usr/local/bin/virtualenv --python=python . &&
==> default: /bin/true
==> default:  returned 1 instead of one of [0]
==> default: Error: /Stage[main]/Eventlogging/Service::Gitupdate[eventlogging]/Virtualenv::Environment[/vagrant/srv/eventlogging/virtualenv]/Exec[virtualenv-/vagrant/srv/eventlogging/virtualenv]/returns: change from notrun to 0 failed: /usr/local/bin/virtualenv --python=python . &&
==> default: /bin/true
==> default:  returned 1 instead of one of [0]

... I get the impression that my problem is different ...
I'm trying to patch the create-virtualenv.sh with the --always-copy option

See https://www.virtualbox.org/ticket/10085 for a 5 year long and still active saga of symlinks on VirtualBox shares. :/

Nuria closed this task as Resolved.Jan 23 2017, 5:04 PM